Bug 1277477 - heketi volume mount options typo: backupvolfile-server listed as backupvolfile-servers
heketi volume mount options typo: backupvolfile-server listed as backupvolfil...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michael Adam
Anush Shetty
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 07:35 EST by Anush Shetty
Modified: 2017-01-03 05:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-03 05:50:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2015-11-03 07:35:08 EST
Description of problem: backupvolfile-server mount option is listed as backupvolfile-servers when heketi display volume information


Version-Release number of selected component (if applicable): heketi-1.0.0-1.el7rhgs.x86_64


How reproducible: Always

Actual results:

# heketi-cli volume create -size=200
Name: vol_20363034cdd3439f675d6db92da6bb3b
Size: 200
Id: 20363034cdd3439f675d6db92da6bb3b
Cluster Id: e4e75a352abd3b32a2e9a51d3ff41a96
Mount: rhshdp05.lab.eng.blr.redhat.com:vol_20363034cdd3439f675d6db92da6bb3b
Mount Options: backupvolfile-servers=rhshdp03.lab.eng.blr.redhat.com,rhshdp04.lab.eng.blr.redhat.com,rhshdp06.lab.eng.blr.redhat.com,rhshdp13.lab.eng.blr.redhat.com
Durability Type: replicate
Replica: 3
Snapshot: Disabled
Comment 2 Luis Pabón 2015-11-20 10:48:09 EST
Updated API spec file:
https://github.com/heketi/heketi/wiki/API#volume_info
Comment 3 Anush Shetty 2015-11-24 07:03:19 EST
Marking this as verified and it has been handled in the docs.

Note You need to log in before you can comment on or make changes to this bug.